/*
 * Util.java
 *
 * Created on July 5, 2003, 8:11 AM
 */

package tk.teutoburgo.otp4u.gui;

import java.awt.*;
import java.io.*;
import javax.swing.*;

/**
 *
 * @author  Karl Dinwiddie
 *
 * Generic public static GUI related utility methods.
 *
 */
public class Util {
    public static Toolkit tk;
    
    public static final void init(final Toolkit toolKit) {
        tk = toolKit;
    }

    public static final String getStringFromFile(File file) throws IOException {
        StringBuffer rtn = new StringBuffer();
        FileReader fr = new FileReader(file);
        BufferedReader br = new BufferedReader(fr);
        String s = br.readLine();
        while (s != null) {
            rtn.append(s).append("\n");
            s = br.readLine();
        }
        br.close();
        fr.close();
        return rtn.toString();
    }
    
    public static final void saveStringToFile(String s, File file) throws IOException {
        FileWriter fw = new FileWriter(file);
        BufferedWriter br = new BufferedWriter(fw);
        br.write(s);
        br.close();
        fw.close();
    }
    
    public static final File getFileFromUser(final String prompt) {
        File rtn = null;
        JFileChooser chooser = new JFileChooser();
        chooser.setDialogTitle(prompt);
        if (chooser.showOpenDialog(new JFrame()) == JFileChooser.APPROVE_OPTION) {
            rtn = chooser.getSelectedFile();
        }
        return rtn;
    }
    
    public static final boolean isWindowsOS = System.getProperty("os.name").toLowerCase().indexOf("windows") > -1;
    
    
    public static final Point centerInScreen(Dimension d) {
        final Dimension s = tk.getScreenSize();
        return new Point((int)((s.width-d.width)/2),(int) ((s.height-d.height)/2));
    }
    
}
